;
; I2CFrags.tpl
;
; I2C driver fragment definition file
;
;

;@CMX_FRAG_I2C_PARAMBLOCK_EXTERN
extern `@DRIVER_LIB_NAME`_I2C_ParameterBlock const `@DRIVER_INSTANCE`;
;@CMX_SEGMENT_END

;@CMX_FRAG_I2C_DECLARATION
#if (SYSTEM_CONST_COUNT & 0xFF00)
const `@DRIVER_LIB_NAME`_I2C_ParameterBlock `@DRIVER_INSTANCE` = { ID_`@DRIVER_INSTANCE`, `@DRIVER_I2C_Address`, (BYTE)SYSTEM_VARIABLE_COUNT, (BYTE)SYSTEM_RW_VARIABLE_COUNT, (BYTE *) &SystemVars, 0xFF, (BYTE const *)&SystemConst };
#else
const `@DRIVER_LIB_NAME`_I2C_ParameterBlock `@DRIVER_INSTANCE` = { ID_`@DRIVER_INSTANCE`, `@DRIVER_I2C_Address`, (BYTE)SYSTEM_VARIABLE_COUNT, (BYTE)SYSTEM_RW_VARIABLE_COUNT, (BYTE *) &SystemVars, (BYTE)SYSTEM_CONST_COUNT, (BYTE const *)&SystemConst };
#endif
;@CMX_SEGMENT_END

;@CMX_FRAG_I2C_INCLUDE
#include "`@DRIVER_LIB_NAME`_I2C.h"
;@CMX_SEGMENT_END

;@CMX_FRAG_I2C_INSTANTIATE
`@DRIVER_LIB_NAME`_I2C_Instantiate(&`@DRIVER_INSTANCE`);
;@CMX_SEGMENT_END

;@CMX_FRAG_I2C_SET_VALUE
`@DRIVER_LIB_NAME`_I2C_SetValue(&`@DRIVER_INSTANCE`, (BYTE)`@DRIVER_OUTPUT_VALUE` );
;@CMX_SEGMENT_END

;@CMX_FRAG_I2C_SETRAMBUFFER
    `@CMX_I2C_IFC_CHAN_UMInstanceName`_SetRamBuffer(thisPB.bRAMLen, thisPB.bRWLen, (BYTE *)thisPB.pbRAMRegs); // Set up RAM buffer for I2C
;@CMX_SEGMENT_END

;@CMX_FRAG_I2C_SETROMBUFFER
        `@CMX_I2C_IFC_CHAN_UMInstanceName`_SetRomBuffer(thisPB.bROMLen, thisPB.pbROMRegs); // Set up ROM buffer for I2C
;@CMX_SEGMENT_END

;@CMX_FRAG_I2C_START
    `@CMX_I2C_IFC_CHAN_UMInstanceName`_Start(); // Turn on I2C
;@CMX_SEGMENT_END

;@CMX_FRAG_I2C_SETADDR_INSTANTIATE
    `@CMX_I2C_IFC_CHAN_UMInstanceName`_SetAddr(thisPB.bAddress); // Set I2C address
;@CMX_SEGMENT_END

;@CMX_FRAG_I2C_SETADDR_SETVALUE
    `@CMX_I2C_IFC_CHAN_UMInstanceName`_SetAddr(thisBLK->bAddress + (BYTE)(bAddrOffset)); // Set I2C address
;@CMX_SEGMENT_END
