//*****************************************************************************
//*****************************************************************************
//  FILENAME:  CMX_CSDRSLIDER.h
//  Version: 1.0, Updated on 2009/5/7 at 21:17:49
//  
//
//  DESCRIPTION:  Header file for CSDRSLIDER driver 
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef CSDRSLIDER_INCLUDE
#define CSDRSLIDER_INCLUDE

#include <M8C.h>
#define CSDRSLIDER_pse_Slide_X_ORDINAL  0
#define CSDRSLIDER_pse_Slide_Y_ORDINAL  1
#define CMX_CSDRSLIDER_COUNT 2

// channel type header file
#include "CMX_CSDR_CHAN.h"
#include "CMX_CSDRSLIDERConst.h"
#include "CMX_CSDRSLIDEBASE.h"

////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////
// parameter block
typedef struct
{
	BYTE bInstanceID;
	const CSDSliderSettings * pCSDSliderSettings;
}CMX_CSDRSLIDER_ParameterBlock;

//-------------------------------------------------
// Prototypes of the CSDRSLIDER API.
//-------------------------------------------------
extern void CMX_CSDRSLIDER_Instantiate(const CMX_CSDRSLIDER_ParameterBlock * pPBlock);
extern BYTE CMX_CSDRSLIDER_GetValue(const CMX_CSDRSLIDER_ParameterBlock * pPBlock);
extern WORD CMX_CSDRSLIDER_GetDifference(const CMX_CSDRSLIDEBASE_ParameterBlock * pPBlock);

#endif
