//----------------------------------------------------------------------------
// DriverDecl.inc
//----------------------------------------------------------------------------

include "m8c.inc"
include "memory.inc"

; default case, will be redefined below if PWM channels are used
IF(TOOLCHAIN & HITECH) 
	; in HI-TECH, symbols can't be re-equated, so set must be used.
	CMX_PWM_CHAN_COUNT: set 0
ELSE
	CMX_PWM_CHAN_COUNT: equ 0 
ENDIF

; Driver ID's
ID_pse_Slide_Y_CSD_Slider00:	equ	1
ID_pse_Slide_Y_CSD_Slider01:	equ	2
ID_pse_Slide_X_CSD_Slider00:	equ	3
ID_pse_Slide_X_CSD_Slider01:	equ	4
ID_pse_Slide_X_CSD_Slider02:	equ	5
ID_pse_Slide_X_CSD_Slider03:	equ	6
ID_pse_Slide_X_CSD_Slider04:	equ	7
ID_pse_Slide_Y_CSD_Slider02:	equ	8
ID_pse_Slide_Y_CSD_Slider03:	equ	9
ID_pse_Slide_Y_CSD_Slider04:	equ	10
ID_pse_CSDProp:	equ	11
ID_pse_I2C_Slave:	equ	12
ID_pse_PWM:	equ	13
ID_pse_LED_XP:	equ	14
ID_pse_LED_XM:	equ	15
ID_pse_LED_YP:	equ	16
ID_pse_LED_YM:	equ	17
ID_pse_USB_COM:	equ	18
ID_pse_Slide_X:	equ	19
ID_pse_Slide_Y:	equ	20

; Channel ID's
ID_CAPSENSE_SD_12:		equ 0
ID_CAPSENSE_SD_14:		equ 1
ID_CAPSENSE_SD_24:		equ 2
ID_CAPSENSE_SD_26:		equ 3
ID_CAPSENSE_SD_28:		equ 4
ID_CAPSENSE_SD_30:		equ 5
ID_CAPSENSE_SD_32:		equ 6
ID_CAPSENSE_SD_40:		equ 7
ID_CAPSENSE_SD_42:		equ 8
ID_CAPSENSE_SD_44:		equ 9
ID_CSDCTRL_00:		equ 0
ID_CSD_01:		equ 1
ID_I2C_01:		equ 0
ID_PWMVFREQ_02:		equ 0
ID_SHADOWREGS_0:		equ 0
ID_SHADOWREGS_1:		equ 1
ID_SHADOWREGS_2:		equ 2
ID_SHADOWREGS_3:		equ 3
ID_SHADOWREGS_4:		equ 4
ID_SHADOWREGS_5:		equ 5
ID_SHADOWREGS_7:		equ 7
ID_SWPWM_17:		equ 0
ID_SWPWM_19:		equ 1
ID_SWPWM_21:		equ 2
ID_SWPWM_23:		equ 3
ID_SWPWM_Timer_01:		equ 1
ID_USBUART_00:		equ 0
ID_USBUART_SHARED_00:		equ 0

; Channel Type maximum count
CMX_CAPSENSE_SDR_IN_CHAN_MAX:	equ	10
CMX_CSDR_CONTROL_CHAN_MAX:	equ	1
CMX_CSDR_CHAN_MAX:	equ	1
CMX_I2C_IFC_CHAN_MAX:	equ	1
CMX_PWMVFREQ_CHAN_MAX:	equ	1
CMX_SHADOW_MAX:	equ	7
CMX_SWPWM_CHAN_MAX:	equ	4
CMX_SWPWMTIMER_CHAN_MAX:	equ	1
CMX_USBUART_CHAN_MAX:	equ	1
CMX_USBUART_SHARED_CHAN_MAX:	equ	1

; Channel Type instantiation count
CMX_CAPSENSE_SDR_IN_CHAN_COUNT:	equ	10
CMX_CSDR_CONTROL_CHAN_COUNT:	equ	1
CMX_CSDR_CHAN_COUNT:	equ	0
CMX_I2C_IFC_CHAN_COUNT:	equ	1
CMX_PWMVFREQ_CHAN_COUNT:	equ	1
CMX_SHADOW_COUNT:	equ	0
CMX_SWPWM_CHAN_COUNT:	equ	4
CMX_SWPWMTIMER_CHAN_COUNT:	equ	0
CMX_USBUART_CHAN_COUNT:	equ	1
CMX_USBUART_SHARED_CHAN_COUNT:	equ	0
