//*****************************************************************************
//*****************************************************************************
//  FILENAME:  CMX_CSDR_CHAN.h
//  @Version@
//  
//
//  DESCRIPTION:  Header file for  CMX_CSDR_CHAN.
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2001-2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#ifndef CMX_CSD_CHAN_INCLUDE
#define CMX_CSD_CHAN_INCLUDE

#include "csd.h"

// Slider Driver Group Numbering
#define ID_pse_Slide_Y_SLIDER 1
#define ID_pse_Slide_X_SLIDER 2
#define ID_2_SLIDER 3
#define ID_3_SLIDER 4
#define ID_4_SLIDER 5
#define ID_5_SLIDER 6
#define ID_6_SLIDER 7
#define ID_7_SLIDER 8
#define ID_8_SLIDER 9
#define ID_9_SLIDER 10
#define ID_10_SLIDER 11
#define ID_11_SLIDER 12

#pragma fastcall16 CSD_UpdateGroupBaselines
#pragma fastcall16 CSD_InitializeGroupBaselines
#pragma fastcall16 CSD_ScanSensorGroup
#pragma fastcall16 CSD_GetGroupSensorIndex

// c-function prototypes
void CSD_UpdateGroupBaselines(BYTE bSnsGroup);
void CSD_InitializeGroupBaselines(BYTE bSnsGroup);
void CSD_ScanSensorGroup(BYTE bSnsGroup);
BYTE CSD_GetGroupSensorIndex(BYTE bSnsGroup);

// UM's arrays used in the drivers/channels c-code
extern BYTE CSD_baBtnFThreshold[];
extern WORD CSD_waSnsBaseline[];
extern WORD CSD_waSnsResult[];
extern WORD CSD_waSnsDiff[];

#endif
