//*****************************************************************************
//*****************************************************************************
//  FILENAME:  CMX_USBUART_Drv.h
//   Version: 1.4, Updated on 2009/5/7 at 21:16:21
//  
//
//  DESCRIPTION:  Header file for USBUART_Drv.c                             
//
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2004. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef CMX_USBUART_include
#define CMX_USBUART_include

typedef struct
{
	BYTE bRAMLen;           //  Length of RAM buffer used.
	BYTE bRWLen;            //  Length of RW memory locations starting from 0.
	BYTE * pbRAMRegs;       //  Pointer to RAM used for registers  (2 Byte pointer)
	BYTE bPowerStatus;      // Power Status can be STATUS_BUS_POWERED or STATUS_SELF_POWERED
}CMX_USBUART_ParameterBlock;

// Function prototypes
void CMX_USBUART_Instantiate(const CMX_USBUART_ParameterBlock * thisBLK );
void CMX_USBUART_DataTransfer(const CMX_USBUART_ParameterBlock * thisBLK);
BYTE CMX_USBUART_CommandType(BYTE *pbCommand);
int  CMX_USBUART_Str16ToByte(char *pbStrNum);
void CMX_USBUART_PrMessage(BYTE bError);
void CMX_USBUART_PrCountByte(BYTE bCuuntByte);
BYTE CMX_USBUART_CheckReady(void);

#endif
