;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWMVFREQ_02.inc
;;   Version: 2.5, Updated on 2009/5/7 at 21:11:45
;;  Generated by PSoC Designer 
;;
;;  DESCRIPTION: Assembler declarations for the PWM8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWMVFREQ_02 API's.
;--------------------------------------------------

PWMVFREQ_02_CONTROL_REG_START_BIT:         equ 0x01    ; Control register start bit
PWMVFREQ_02_INT_REG:                       equ 0x0e1
PWMVFREQ_02_INT_MASK:                      equ 0x04


;--------------------------------------------------
; Constants for PWMVFREQ_02 user defined values
;--------------------------------------------------

PWMVFREQ_02_PERIOD:                        equ 0x64
PWMVFREQ_02_PULSE_WIDTH:                   equ 0x64


;--------------------------------------------------
; Register Address Constants for PWMVFREQ_02
;--------------------------------------------------

PWMVFREQ_02_COUNTER_REG:               equ 0x28   ; DR0 Count register
PWMVFREQ_02_PERIOD_REG:                equ 0x29   ; DR1 Period register
PWMVFREQ_02_COMPARE_REG:               equ 0x2a   ; DR2 Compare register
PWMVFREQ_02_CONTROL_REG:               equ 0x2b   ; Control register
PWMVFREQ_02_FUNC_REG:                  equ 0x28   ; Function register
PWMVFREQ_02_INPUT_REG:                 equ 0x29   ; Input register
PWMVFREQ_02_OUTPUT_REG:                equ 0x2a   ; Output register


;--------------------------------------------------
; PWMVFREQ_02 Macro 'Functions'
;--------------------------------------------------

   macro PWMVFREQ_02_Start_M
   or    reg[PWMVFREQ_02_CONTROL_REG],  PWMVFREQ_02_CONTROL_REG_START_BIT
   endm

   macro PWMVFREQ_02_Stop_M
   and   reg[PWMVFREQ_02_CONTROL_REG], ~PWMVFREQ_02_CONTROL_REG_START_BIT
   endm

   macro PWMVFREQ_02_EnableInt_M
   M8C_EnableIntMask PWMVFREQ_02_INT_REG, PWMVFREQ_02_INT_MASK
   endm

   macro PWMVFREQ_02_DisableInt_M
   M8C_DisableIntMask PWMVFREQ_02_INT_REG, PWMVFREQ_02_INT_MASK
   endm


; end of file PWMVFREQ_02.inc
