;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: SWPWM_Timer.inc
;;   Version: 2.6, Updated on 2009/5/7 at 21:12:24
;;  Generated by PSoC Designer 
;;
;;  DESCRIPTION: Assembler declarations for the Timer8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for SWPWM_Timer API's.
;--------------------------------------------------

SWPWM_Timer_CONTROL_REG_START_BIT:         equ 0x01    ; Control register start bit
SWPWM_Timer_INT_REG:                       equ 0x0e1
SWPWM_Timer_INT_MASK:                      equ 0x02


;--------------------------------------------------
; Constants for SWPWM_Timer user defined values
;--------------------------------------------------

SWPWM_Timer_PERIOD:                        equ 0x05
SWPWM_Timer_COMPARE_VALUE:                 equ 0x00


;--------------------------------------------------
; Register Address Constants for SWPWM_Timer
;--------------------------------------------------

SWPWM_Timer_COUNTER_REG:               equ 0x24   ; DR0 Counter register
SWPWM_Timer_PERIOD_REG:                equ 0x25   ; DR1 Period register
SWPWM_Timer_COMPARE_REG:               equ 0x26   ; DR2 CompareValue register
SWPWM_Timer_CONTROL_REG:               equ 0x27   ; Control register
SWPWM_Timer_FUNC_REG:                  equ 0x24   ; Function register
SWPWM_Timer_INPUT_REG:                 equ 0x25   ; Input register
SWPWM_Timer_OUTPUT_REG:                equ 0x26   ; Output register


;--------------------------------------------------
; SWPWM_Timer Macro 'Functions'
;--------------------------------------------------

   macro SWPWM_Timer_Start_M
   or    reg[SWPWM_Timer_CONTROL_REG],  SWPWM_Timer_CONTROL_REG_START_BIT
   endm

   macro SWPWM_Timer_Stop_M
   and   reg[SWPWM_Timer_CONTROL_REG], ~SWPWM_Timer_CONTROL_REG_START_BIT
   endm

   macro SWPWM_Timer_EnableInt_M
   M8C_EnableIntMask SWPWM_Timer_INT_REG, SWPWM_Timer_INT_MASK
   endm

   macro SWPWM_Timer_DisableInt_M
   M8C_DisableIntMask SWPWM_Timer_INT_REG, SWPWM_Timer_INT_MASK
   endm


; end of file SWPWM_Timer.inc
