//*****************************************************************************
//*****************************************************************************
//  FILENAME: SystemTimer.h
//   Version: 1.0, Updated on 2009/5/7 at 21:11:28
//  Generated by PSoC Designer 5.0.423.0
//
//  DESCRIPTION: SleepTimer User Module C Language interface file
//               for the 22/24/27/29/42xxx PSoC family of devices
//-----------------------------------------------------------------------------
//  Copyright (c) Cypress MicroSystems 2000-2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#include <m8c.h>
#define SystemTimer_TICK_CNTR_SIZE            2
#define SystemTimer_PSOC_TYPE                 1

#pragma fastcall16 SystemTimer_EnableInt                 //                 Proxy 1
#pragma fastcall16 SystemTimer_DisableInt                //                 Proxy 1
#pragma fastcall16 SystemTimer_Start                     //                 Proxy 1
#pragma fastcall16 SystemTimer_Stop                      //                 Proxy 1
#pragma fastcall16 SystemTimer_SetInterval               //                 Proxy 1
#pragma fastcall16 SystemTimer_SetTimer
#pragma fastcall16 SystemTimer_bGetTimer

#pragma fastcall16 SystemTimer_SyncWait                  //                 Proxy 1
#pragma fastcall16 SystemTimer_TickWait                  //                 Proxy 1

#pragma fastcall16 SystemTimer_bGetTickCntr              //                 Proxy 2


#if ( SystemTimer_TICK_CNTR_SIZE & (4|2) )
#pragma fastcall16 SystemTimer_iGetTickCntr              //                 Proxy 4
#endif

#if ( SystemTimer_TICK_CNTR_SIZE & 4 )
#pragma fastcall16 SystemTimer_lGetTickCntr              //                 Proxy 4
#endif

//-------------------------------------------------
// Prototypes of the SystemTimer API.
//-------------------------------------------------

extern void SystemTimer_EnableInt(void);
extern void SystemTimer_DisableInt(void);
extern void SystemTimer_Start(void);
extern void SystemTimer_Stop(void);
extern void SystemTimer_SetInterval(BYTE bInterval);
extern void SystemTimer_SyncWait(BYTE bTicks, BYTE bMode);
extern void SystemTimer_TickWait(BYTE bTicks);
extern void SystemTimer_SetTimer(BYTE bNewTimerValue);
extern BYTE SystemTimer_bGetTimer( void );

extern BYTE SystemTimer_bGetTickCntr(void);

#if ( SystemTimer_TICK_CNTR_SIZE & (4|2) )
extern unsigned int  SystemTimer_iGetTickCntr(void);
#define ST_INT_VALID
#endif

#if ( SystemTimer_TICK_CNTR_SIZE & 4 )
extern unsigned long * SystemTimer_lGetTickCntr(unsigned long * lptr);
#define ST_LONG_VALID
#endif

#if ( SystemTimer_PSOC_TYPE )                // 22/24/27/29xxx Family
// Frequency of sleep timer interrupts
#define SystemTimer_1_HZ                     0x18
#define SystemTimer_8_HZ                     0x10
#define SystemTimer_64_HZ                    0x08
#define SystemTimer_512_HZ                   0x00
#else                                        // 42020 Family

// Frequency of sleep timer interrupts
#define SystemTimer_1_HZ                     0x03
#define SystemTimer_8_HZ                     0x02
#define SystemTimer_64_HZ                    0x01
#define SystemTimer_512_HZ                   0x00
#endif

#define SystemTimer_FORCE_RELOAD             0x01
#define SystemTimer_WAIT_RELOAD              0x00
extern BYTE SystemTimer_fTick;



// end of file SystemTimer.h
